%{!?python_sitelib: %global python_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?__python2: %global __python2 %{__python}}
%{!?python2_sitelib: %global python2_sitelib %{python_sitelib}}
%{!?python2_sitearch: %global python2_sitearch %{python_sitearch}}

Name:		sqlcli
Version:	3
Release:	6%{?dist}
Summary:	A command-line SQL query utility

License:	GPLv3+
URL:		http://github.com/larsks/sqlcli/
Source0:	https://github.com/larsks/sqlcli/archive/%{name}-%{version}.tar.gz

BuildRequires:	python2-devel
BuildRequires:	python-setuptools
Requires:	python2
Requires:	python-prettytable
Requires:	python-sqlalchemy

BuildArch:	noarch

%description
This is a tool that uses SQLAlchemy to execute SQL queries against a SQL
database specified via a URL or an INI-style file (such as those used by most
of the OpenStack services).


%prep
%setup -q -n %{name}-%{name}-%{version}


%build
%{__python2} setup.py build


%install
> requirements.txt
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot} -O1 --skip-build


%files
%doc README.md COPYING
%{_bindir}/sqlcli
%{python2_sitelib}/sqlcli-%{version}-py*.egg-info
%{python2_sitelib}/sqlcli


%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 04 2015 Lars Kellogg-Stedman <lars@oddbiut.com> - 3-5
- Updated to version 3.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 18 2014 Björn Esser <bjoern.esser@gmail.com> - 2-4
- removed superflous stuff
- improved readability of macros
- prefer %%global over %%define

* Wed Nov 27 2013 Lars Kellogg-Stedman <lars@oddbit.com> - 2-3
- update license name (GPLv3 -> GPLv3+)
- added license file to %doc

* Mon Nov 25 2013 Lars Kellogg-Stedman <lars@oddbit.com> - 2-2
- udpated sqlcli upstream includes license information
- spec file fixes in response to package review

* Mon Nov 25 2013 Lars Kellogg-Stedman <lars@oddbit.com> - 1-1
- initial packaging

